using System.Collections;
using UnityEngine;
using UnityEngine.Events;

public class StateMachine : MonoBehaviour
{
    public UnityEvent Player1Handler;
    public UnityEvent Player2Handler;

    public IEnumerator Loop()
    {
        while (true)
        {
            yield return new WaitWhile(() => !Input.GetKeyDown(KeyCode.Space));

            Player1Handler.Invoke();

            yield return null;
            yield return new WaitWhile(() => !Input.GetKeyDown(KeyCode.Space));

            Player2Handler.Invoke();

            yield return null;
        }
    }
}